Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ColorTableCuboids Class Reference

`#include <ColorTableCuboids.h>`

Inheritance diagram for ColorTableCuboids:

[legend]
Collaboration diagram for ColorTableCuboids:

[legend]
List of all members.

## Public Member Functions
| ColorTableCuboids ()
| Constructor.
| ~ColorTableCuboids ()
| Destructor.
virtual colorClass | getColorClass (const unsigned char y, const unsigned char u, const unsigned char v) const
| Calculates the color classes of a point in the yuv color space.
virtual void | generateColorClassImage (const Image &image, ColorClassImage &colorClassImage) const
| Segments an image to a color class image.
void | clear ()
| Sets the color class of every 4x4x4 to noColor.
void | setThresholds (colorClass color, int minY, int minU, int minV, int maxY, int maxU, int maxV)
int | getThresholdMin (colorClass color, int channel) const
int | getThresholdMax (colorClass color, int channel) const
## Private Attributes
int | thresholdMin [numOfColors][3]
int | thresholdMax [numOfColors][3]
unsigned long int | lastTimeWhenThresholdWasSet [numOfColors]

## Detailed Description

Author:
  Matthias Jüngel

Definition at line 19 of file ColorTableCuboids.h.

## Constructor & Destructor Documentation

ColorTableCuboids::ColorTableCuboids | ( |  | ) |

| Constructor. Definition at line 12 of file ColorTableCuboids.cpp. References setThresholds().

Here is the call graph for this function:

ColorTableCuboids::~ColorTableCuboids | ( |  | ) |

| Destructor. Definition at line 17 of file ColorTableCuboids.cpp.

## Member Function Documentation

colorClass ColorTableCuboids::getColorClass | ( | const unsigned char | y,
|  | const unsigned char | u,
|  | const unsigned char | v
| ) | const`[virtual]`

  | Calculates the color classes of a point in the yuv color space. Parameters:
  y | the y value of the pixel
  u | the u value of the pixel
  v | the v value of the pixel
Reimplemented from ColorTable. Definition at line 52 of file ColorTableCuboids.cpp. References SystemCall::getTimeSince(), and noColor.

Here is the call graph for this function:

void ColorTableCuboids::generateColorClassImage | ( | const Image & | image,
|  | ColorClassImage & | colorClassImage
| ) | const`[virtual]`

  | Segments an image to a color class image. This doesn't need to used in the image processor, but is needed for visualisation of color tables. Parameters:
  image | A reference to the image to be segmented
  colorClassImage | A reference to the color class image to be created
Returns: A reference to the created color class image. Reimplemented from ColorTable. Definition at line 117 of file ColorTableCuboids.cpp.

void ColorTableCuboids::clear | ( |  | ) | `[virtual]`

| Sets the color class of every 4x4x4 to noColor. Reimplemented from ColorTable. Definition at line 38 of file ColorTableCuboids.cpp. References numOfColors, thresholdMax, and thresholdMin.

void ColorTableCuboids::setThresholds | ( | colorClass | color,
|  | int | minY,
|  | int | minU,
|  | int | minV,
|  | int | maxY,
|  | int | maxU,
|  | int | maxV
| ) |

| Definition at line 31 of file ColorTableCuboids.cpp. References SystemCall::getCurrentSystemTime(), lastTimeWhenThresholdWasSet, thresholdMax, and thresholdMin. Referenced by ColorTableCuboids(), and operator>>().

Here is the call graph for this function:

int ColorTableCuboids::getThresholdMin | ( | colorClass | color,
|  | int | channel
| ) | const

| Definition at line 21 of file ColorTableCuboids.cpp. References thresholdMin. Referenced by operator<<().

int ColorTableCuboids::getThresholdMax | ( | colorClass | color,
|  | int | channel
| ) | const

| Definition at line 26 of file ColorTableCuboids.cpp. References thresholdMax. Referenced by operator<<().

## Member Data Documentation

int ColorTableCuboids::thresholdMin[numOfColors][3]`[private]`

| Definition at line 66 of file ColorTableCuboids.h. Referenced by clear(), getThresholdMin(), and setThresholds().

int ColorTableCuboids::thresholdMax[numOfColors][3]`[private]`

| Definition at line 67 of file ColorTableCuboids.h. Referenced by clear(), getThresholdMax(), and setThresholds().

unsigned long int ColorTableCuboids::lastTimeWhenThresholdWasSet[numOfColors]`[private]`

| Definition at line 68 of file ColorTableCuboids.h. Referenced by setThresholds().

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/ImageProcessorTools/ColorTableCuboids.h
- Modules/ImageProcessor/ImageProcessorTools/ColorTableCuboids.cpp